[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.KeyDownBeforeInterface

Allows the application, parent forms, or control to handle key preview before the LCL interface.

## Declaration

Source position: controls.pp line 2271

`protected procedure TWinControl.KeyDownBeforeInterface(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual;`

## Arguments

`Key` |  | Numeric key code examined in the method.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key.